package de.avatic.lcc.model.azuremaps.geocoding.batch;

import com.fasterxml.jackson.annotation.JsonProperty;

public class BatchItem {

    @JsonProperty("query")
    private String query;

    @JsonProperty("addressLine")
    private String addressLine;

    @JsonProperty("adminDistrict")
    private String adminDistrict;

    @JsonProperty("locality")
    private String locality;

    @JsonProperty("postalCode")
    private String postalCode;

    public BatchItem() {
    }

    public BatchItem(String query) {
        this.query = query;
    }

    public String getAddressLine() {
        return addressLine;
    }

    public void setAddressLine(String addressLine) {
        this.addressLine = addressLine;
    }

    public String getAdminDistrict() {
        return adminDistrict;
    }

    public void setAdminDistrict(String adminDistrict) {
        this.adminDistrict = adminDistrict;
    }

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }
}
